package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.ClassGroup;
import io.swagger.annotations.ApiModelProperty;

/**
 * 班级调整
 */
public class MusicGroupClassGroupDto {

    @ApiModelProperty(value = "班级编号", required = true)
    private Integer classGroupId;

    @ApiModelProperty(value = "班级名称", required = true)
    private String classGroupName;

    @ApiModelProperty(value = "班级类型", required = true)
    private String classGroupType;

    //TEACHING("TEACHING","助教"),
    //    BISHOP("BISHOP","主教")
    @ApiModelProperty(value = "主教老师", required = true)
    private String masterTeacher;

    @ApiModelProperty(value = "助教老师", required = true)
    private String subTeacher;

    @ApiModelProperty(value = "当前课次", required = true)
    private Integer currentClassTimes;

    @ApiModelProperty(value = "总课时", required = true)
    private Integer totalClassTimes;

    @ApiModelProperty(value = "跟班人数", required = true)
    private Integer studyNum;

    @ApiModelProperty(value = "退班人数", required = true)
    private Integer quitNum;

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public String getClassGroupType() {
        return classGroupType;
    }

    public void setClassGroupType(String classGroupType) {
        this.classGroupType = classGroupType;
    }

    public String getMasterTeacher() {
        return masterTeacher;
    }

    public void setMasterTeacher(String masterTeacher) {
        this.masterTeacher = masterTeacher;
    }

    public String getSubTeacher() {
        return subTeacher;
    }

    public void setSubTeacher(String subTeacher) {
        this.subTeacher = subTeacher;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Integer getStudyNum() {
        return studyNum;
    }

    public void setStudyNum(Integer studyNum) {
        this.studyNum = studyNum;
    }

    public Integer getQuitNum() {
        return quitNum;
    }

    public void setQuitNum(Integer quitNum) {
        this.quitNum = quitNum;
    }
}
